- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoEnvironmentalReplacement< MOEOT >::Cmp Class Reference

This class is used to compare solutions in order to sort the population. More...

`#include <moeoEnvironmentalReplacement.h>`

List of all members.

## Public Member Functions
| Cmp (moeoComparator< MOEOT > &_comparator)
| Ctor.
bool | operator() (const MOEOT &_moeo1, const MOEOT &_moeo2)
| Returns true if _moeo1 is greater than _moeo2 according to the comparator _moeo1 the first individual _moeo2 the first individual.
## Private Attributes
moeoComparator< MOEOT > & | comparator
| the comparator

## Detailed Description

### template<class MOEOT>
class moeoEnvironmentalReplacement< MOEOT >::Cmp

This class is used to compare solutions in order to sort the population.

Definition at line 117 of file moeoEnvironmentalReplacement.h.

## Constructor & Destructor Documentation

template<class MOEOT>

moeoEnvironmentalReplacement< MOEOT >::Cmp::Cmp | ( | moeoComparator< MOEOT > & | _comparator | ) | `[inline]`

Ctor.

Parameters:

  | _comparator | the comparator

Definition at line 125 of file moeoEnvironmentalReplacement.h.

The documentation for this class was generated from the following file:

- moeoEnvironmentalReplacement.h